SUSE-SA:2006:066: ImageMagick

Medium Nessus Plugin ID 24443


The remote host is missing a vendor-supplied security patch


The remote host is missing the patch for the advisory SUSE-SA:2006:066 (ImageMagick).

Two security problems were found in the GraphicsMagick tool set which are also present in ImageMagick.

CVE-2006-5456: Multiple buffer overflows in ImageMagick allowed user-assisted attackers to cause a denial of service and possibly execute execute arbitrary code via (1) a DCM image that is not properly handled by the ReadDCMImage function in coders/dcm.c, or (2) a PALM image that is not properly handled by the ReadPALMImage function in coders/palm.c.

Additionally a segfault regression when converting a PGM image was fixed on SLE 10.


Plugin Details

Severity: Medium

ID: 24443

File Name: suse_SA_2006_066.nasl

Version: $Revision: 1.5 $

Agent: unix

Published: 2007/02/18

Dependencies: 12634

Risk Information

Risk Factor: Medium

Vulnerability Information

Required KB Items: Host/SuSE/rpm-list